org.eclipse.cdt.doxygen

## Interface DoxygenOptions

    public interface DoxygenOptions

Options to configure doxygen

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `newLineAfterBrief()` Use always a new line after brief tag in auto-generation of doxygen comment
`boolean` `useBriefTags()` Use always brief tag in auto-generation of doxygen comment
`boolean` `useJavadocStyle()` Use always javadoc tag style in auto-generation of doxygen comment
`boolean` `usePrePostTag()` Use always pre/post tags in auto-generation of doxygen comment
`boolean` `useStructuralCommands()` Use always structured commands in auto-generation of doxygen comment

### Method Detail

#### useBriefTags

    boolean useBriefTags()

Use always brief tag in auto-generation of doxygen comment

#### useStructuralCommands

    boolean useStructuralCommands()

Use always structured commands in auto-generation of doxygen comment

#### useJavadocStyle

    boolean useJavadocStyle()

Use always javadoc tag style in auto-generation of doxygen comment

#### newLineAfterBrief

    boolean newLineAfterBrief()

Use always a new line after brief tag in auto-generation of doxygen comment

#### usePrePostTag

    boolean usePrePostTag()

Use always pre/post tags in auto-generation of doxygen comment